#!/bin/bash

# Ubuntu Toolkit para distros basadas en Debian/Ubuntu
# Gustavo A. Díaz - gustavo.diaz@gmail.com
# Versión: 1.0
# NOTA: orden preferente de los Steps obligatorios: 
# - packages libpng bindeps patches locales postgresql pyro flask samba createUsers
# Este script utiliza colores. Más info.: http://misc.flogisoft.com/bash/tip_colors_and_formatting

echo -e "\e[94m\n*** Ubuntu Toolkit para la instalación de Fierro ***\n\e[0m"

FUNCTIONS="./functions.sh"
source $FUNCTIONS 

setUpInstallConfig

if ! configChanged || \
        ask "Desea editar el archivo de configuración antes de ejecutar los step?" N; then
    editInstallConfig
fi

STEPDIR=steps

if [ ! -f "$STEPS_LOG" ]; then
    touch $STEPS_LOG
fi

# Comprobación si no estamos como root
if ! i_am_root; then
    die "Ejecutar como root"
fi

runStep() {
    if [ ! -x $STEPDIR/$1.sh ]; then
        echo -e "\nError step $1 desconocido!"
        return 1
    fi

    $STEPDIR/$1.sh
}

while [ ! -z $1 ]; do 
    echo -e "\e[32m-- Ejecutando $1 - $(date +"%H:%m %d/%m/%Y") --\n\e[0m"
    if stepAlreadyRun $1; then
        if ! ask "El step seleccionado ya se ha completado. Desea volver ejecutarlo?" N; then
            shift
            continue
        fi
    fi 

    runStep $1
    dieOnError "Falló el step $1"
    
    logStep $1

    sleep 2
    shift
done

echo -e "\e[94m\nFinalizado!\e[0m"
