#!/bin/bash

FUNCTIONS="`pwd`/functions.sh"
. $FUNCTIONS

# Determinar la arquitectura
if [ $(uname -m) = "x86_64" ]; then
    ARCH=64
else
    ARCH=32
fi

BINPATH='deps/bin-'$ARCH'Bits'
TEMPPATH="temp"
HTTPROOT="http://downloads.fierro.com.ar/linux/ubuntu/deps"

# Creamos carpeta temporal
mkdir -p $BINPATH/$TEMPPATH

echo "Instalando wxGTK-2.6 ..."
cd $BINPATH
wget -c  $HTTPROOT/bin-${ARCH}Bits/wxGTK-2.6.4.0-r6.tar.bz2
dieOnError "Error bajando wxGTK"
tar jxf wxGTK-2.6.4.0-r6.tar.bz2 -C $TEMPPATH
dieOnError "Error descomprimiendo wxGTK"
cp -R $TEMPPATH/* /
rm -Rf $TEMPPATH/*
cd ../../

echo "Instalando wxpython-2.6 ..."
cd $BINPATH
wget -c $HTTPROOT/bin-${ARCH}Bits/wxpython-2.6.4.0-r2.tar.bz2
dieOnError "Error bajando wxpython"
tar jxf wxpython-2.6.4.0-r2.tar.bz2 -C $TEMPPATH
dieOnError "Error descomprimiendo wxpython"
cp -R $TEMPPATH/* /
rm -Rf $TEMPPATH/*
cd ../../

echo "Instalando xulrunner-1.8 ..."
cd $BINPATH
wget -c $HTTPROOT/bin-${ARCH}Bits/xulrunner-1.8.1.19.tar.bz2
dieOnError "Error bajando xulrunner"
tar jxf xulrunner-1.8.1.19.tar.bz2 -C $TEMPPATH
dieOnError "Error descomprimiendo xulrunner"
cp -R $TEMPPATH/* /
rm -Rf $TEMPPATH/*
cd ../../

echo "Instalando wxMozilla-5.8 ..."
cd $BINPATH
wget -c $HTTPROOT/bin-${ARCH}Bits/wxmozilla-0.5.8.tar.bz2
dieOnError "Error bajando wxmozilla"
tar jxf wxmozilla-0.5.8.tar.bz2 -C $TEMPPATH
dieOnError "Error descomprimiendo wxmozilla"
cp -R $TEMPPATH/* /
rm -Rf $TEMPPATH/*
cd ../../

ln -s /usr/lib /usr/lib64

# Borramos carpeta temporal
rm -Rf $BINPATH/$TEMPPATH
