#!/bin/bash

FUNCTIONS="./functions.sh"
. $FUNCTIONS

mkdir -p /root/fierroinstall
wget -O '/root/fierroinstall/fierroOffLine.tar.gz' 'http://downloads.fierro-soft.com.ar/linux/fierroOffLine.tar.gz'
dieOnError "Error bajando fierroOffLine.tar.gz"

tar ozxf /root/fierroinstall/fierroOffLine.tar.gz -C / 

touch /var/log/fierroclient-offline.log
chmod 0666 /var/log/fierroclient-offline.log

lineinfile /etc/opt/fierro/fierroserver.conf '^CRON_INTERVAL' "CRON_INTERVAL = 0"

if is_systemd; then
    systemctl enable fierroserver
fi

restart_service fierroserver

cat <<EOF > /etc/opt/fierroutils/fierroLocalRemoto.conf 
QUEUE_SERVER=$TK_OFFLINE_QUEUESERVER_URL
FIERRO_SERVER=PYROLOC://$TK_OFFLINE_FIERRO_SERVER_HOST:$TK_OFFLINE_FIERRO_SERVER_PORT
FIERRO_USER=$TK_OFFLINE_FIERRO_USER
FIERRO_PASS=$TK_OFFLINE_FIERRO_PASS
FIERRO_SUC=$TK_OFFLINE_FIERRO_SUC

FIXPERMISSIONS_SCRIPT=/opt/fierroutils/files/fixLocalPermissions.sql
FIXPERMISSIONS_DB=fierrodb

export PYTHONPATH=/opt/fierroclient/packages
LOADOPERS="python -O /opt/fierroclient/packages/colofon/client/cli/loadOperations.pyo"

EOF

cat <<EOF > /etc/opt/fierro/clientserver.conf.offline
# Configuración de servidor para fierro-offline

export LANG="es_AR.ISO-8859-1"
export LC_ALL="es_AR.ISO-8859-1"

SERVER=PYROLOC://$TK_CLIENT_OFFLINE_SERVER_HOST:$TK_CLIENT_OFFLINE_SERVER_PORT
WEBSERVER="$TK_CLIENT_OFFLINE_WEB_HOST:$TK_CLIENT_OFFLINE_WEB_PORT/$TK_CLIENT_OFFLINE_WEB_PATH"
EOF

