
import unittest

import test_fierroclient
import conf


CLIENT_CONFIG_FILE_TEMPLATE = '/etc/opt/fierro%s/clientserver.conf.offline'


class TestFierroClientOffline(test_fierroclient.TestFierroClient):

    def __init__(self, *args, **kwargs):
        super(TestFierroClientOffline, self).__init__(*args, **kwargs)

        self.client_config_file = CLIENT_CONFIG_FILE_TEMPLATE % self.fierro_instance


def load_tests(loader, tests, pattern):
    suite = unittest.TestSuite()
    if 'offline' not in conf.TEST_COMPONENTS:
        return suite

    test_cases = loader.getTestCaseNames(TestFierroClientOffline)

    for instance in conf.FIERROCLIENT_INSTANCES:
        for test_case in test_cases:
            suite.addTest(TestFierroClientOffline(test_case, fierro_instance=instance))

    return suite
